/* HTTP API 采美资料库业务模块
 * Copyright 2020, CAIMEI365
 * Date   2020/11/10
 * auther zhj
 */
var DocumentApi = {
        GetAuthorization: function (params, callback) {//资料库登录初始化
            LocakkHost.AjaxService({ url:'/document/authorization', type:'get', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        GetImgVerifyCode: function (params, callback) {//资料库获取图形验证码
            LocakkHost.AjaxService({ url:'/document/getImgVerifyCode', type:'get', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        DocumentNote: function (params, callback) {//资料库获取短信验证码
            LocakkHost.AjaxService({ url:'/document/note', type:'get', data:params, json:true})
            .then(function(res){
                callback(res);
            });
        },
        MobileCodeLogin: function (params, callback) {//资料库登录
            LocakkHost.AjaxService({ url:'/document/mobileCodeLogin', type:'POST', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        GetDocumentDataList: function (params, callback) {//资料库获取列表
            LocakkHost.AjaxService({ url:'/document/dataList', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        GetDocumentDataDetails: function (params, callback) {//资料库获取详情
            LocakkHost.AjaxService({ url:'/document/dataDetails', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
        GetDocumentMoreData: function (params, callback) {//资料库获取详情
            LocakkHost.AjaxService({ url:'/document/moreData', type:'GET', data:params, json:false})
            .then(function(res){
                callback(res);
            });
        },
};
